#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "QFileDialog"
#include "QFile"
#include <QTextStream>
#include <QProcess>



MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}


QStringList files;


void MainWindow::on_pushButton_clicked()
{
    //Choose files
     files = QFileDialog::getOpenFileNames(
                this,
                "Ein oder mehrere PDFs öffnen",
                "/home",
                "PDFs  (*.pdf)"
                 );


    //Write to tmp.txt
     QFile file("tmp.txt");
    if (!file.open(QIODevice::WriteOnly | QIODevice::Text))
             return;

    //Write Filelist
    QTextStream out(&file);
    for ( QStringList::Iterator it = files.begin(); it != files.end(); ++it )
    out << *it << "\n";

}

void MainWindow::on_pushButton_3_clicked()
{
    //PDF-Loop
    QStringList arguments;
    arguments << "-c" << " for f in $(cat tmp.txt); do pdftotext $f; done";

      QProcess exec;
    //Execute PDF-Loop
      exec.start("/bin/sh", arguments);
      exec.waitForFinished();
}
